| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
HostDataList Class Reference
Network

List of host names in the system. The first entry will be the local host. More...

`#include <hostdata.h>`

Inheritance diagram for HostDataList:
[legend]

## Public Member Functions
| HostDataList (bool foredit)
| ~HostDataList ()
void | dump (od_ostream &) const
void | fill (BufferStringSet &, bool inclocalhost=true) const
void | fillFromNetwork ()
HostData * | find (const char *nm)
const HostData * | find (const char *nm) const
PortNr_Type | firstPort () const
const char * | getBatchHostsFilename () const
bool | isMostlyStaticIP () const
bool | isOK (uiStringSet &, bool testall=true, BufferString *localaddr=nullptr, int *prefixlength=nullptr) const
const HostData * | localHost () const
const char * | loginCmd () const
int | niceLevel () const
int | prefixLength () const
bool | refresh (bool foredit=false)
void | setFirstPort (PortNr_Type)
void | setLoginCmd (const char *)
void | setNiceLevel (int)
void | setPrefixLength (int)
void | setUnixDataRoot (const char *)
void | setWinDataRoot (const char *)
const char * | unixDataRoot () const
const char * | winDataRoot () const
bool | writeHostFile (const char *fnm)
Public Member Functions inherited from ManagedObjectSet< HostData >
| ManagedObjectSet ()
| ManagedObjectSet (const ManagedObjectSet &)=delete
| ManagedObjectSet (const ObjectSet< HostData > &)
void | append (const ManagedObjectSet< HostData > &)=delete
void | append (const ObjectSet< HostData > &os) override
void | copy (const ObjectSet< HostData > &os) override
ManagedObjectSet & | operator= (const ManagedObjectSet &)=delete
ManagedObjectSet< HostData > & | operator= (const ObjectSet< HostData > &os)
Public Member Functions inherited from ManagedObjectSetBase< T >
void | erase () override
bool | isManaged () const override
ManagedObjectSetBase< T > & | operator-= (T *) override
T * | pop () override
virtual T * | removeAndTake (idx_type, bool kporder=true)
void | removeRange (idx_type, idx_type) override
T * | removeSingle (idx_type, bool kporder=true) override
T * | replace (idx_type, T *) override
Public Member Functions inherited from ObjectSet< T >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (T *)
| ObjectSet (T *, T *)
| ObjectSet (T *, T *, T *)
virtual | ~ObjectSet ()
ObjectSet & | add (T *t)
bool | addIfNew (T *)
void | allowNull (bool yn=true)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
T * | first ()
const T * | first () const
virtual T * | get (const T *) const
| check & unconst
virtual T * | get (idx_type)
virtual const T * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const T *) const
virtual void | insertAfter (T *newptr, idx_type)
virtual void | insertAt (T *newptr, idx_type)
virtual bool | isPresent (const T *) const
T * | last ()
const T * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (T *t)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const T * | operator[] (const T *t) const
T * | operator[] (idx_type i)
const T * | operator[] (idx_type i) const
void | plainErase ()
void | push (T *t)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Protected Member Functions
HostData * | findHost (const char *)
const HostData * | findHost (const char *) const
void | handleLocal ()
void | initDataRoot ()
bool | readHostFile (const char *)
bool | readOldHostFile (const char *)
Protected Member Functions inherited from ManagedObjectSetBase< T >
| ManagedObjectSetBase (PtrFunc delfunc)
| ~ManagedObjectSetBase ()
Protected Member Functions inherited from ObjectSet< T >
virtual ObjectSet & | doAdd (T *)

## Protected Attributes
BufferString | batchhostsfnm_
PortNr_Type | firstport_ = 37500
BufferString | logincmd_ = "ssh"
int | nicelvl_ = 19
int | prefixlength_
BufferString | unx_appl_pr_
BufferString | unx_data_pr_
BufferString | win_appl_pr_
BufferString | win_data_pr_
Protected Attributes inherited from ObjectSet< T >
bool | allow0_ = false
impl_type | vec_

## Additional Inherited Members
Public Types inherited from ManagedObjectSet< HostData >
typedef ObjectSet< HostData >::idx_type | idx_type
typedef ObjectSet< HostData >::size_type | size_type
Public Types inherited from ManagedObjectSetBase< T >
typedef ObjectSet< T >::idx_type | idx_type
typedef ObjectSet< T >::size_type | size_type
Public Types inherited from ObjectSet< T >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef T | object_type
typedef value_type & | reference
typedef int | size_type
typedef T * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ManagedObjectSetBase< T >
typedef void(* | PtrFunc) (T *ptr)
Protected Types inherited from ObjectSet< T >
typedef VectorAccess< T *, size_type > | impl_type

## Detailed Description

List of host names in the system. The first entry will be the local host.

<>

## Constructor & Destructor Documentation

## ◆ HostDataList()

HostDataList::HostDataList | ( | bool | foredit | ) |

## ◆ ~HostDataList()

HostDataList::~HostDataList | ( |  | ) |

## Member Function Documentation

## ◆ dump()

void HostDataList::dump | ( | od_ostream & |  | ) | const

## ◆ fill()

void HostDataList::fill | ( | BufferStringSet & | ,
|  | bool | inclocalhost = true ) const

## ◆ fillFromNetwork()

void HostDataList::fillFromNetwork | ( |  | ) |

## ◆ find() [1/2]

HostData * HostDataList::find | ( | const char * | nm | ) |
| inline

## ◆ find() [2/2]

const HostData * HostDataList::find | ( | const char * | nm | ) | const
| inline

## ◆ findHost() [1/2]

HostData * HostDataList::findHost | ( | const char * |  | ) |
| protected

## ◆ findHost() [2/2]

const HostData * HostDataList::findHost | ( | const char * |  | ) | const
| protected

## ◆ firstPort()

PortNr_Type HostDataList::firstPort | ( |  | ) | const

## ◆ getBatchHostsFilename()

const char * HostDataList::getBatchHostsFilename | ( |  | ) | const

## ◆ handleLocal()

void HostDataList::handleLocal | ( |  | ) |
| protected

## ◆ initDataRoot()

void HostDataList::initDataRoot | ( |  | ) |
| protected

## ◆ isMostlyStaticIP()

bool HostDataList::isMostlyStaticIP | ( |  | ) | const

## ◆ isOK()

bool HostDataList::isOK | ( | uiStringSet & | ,
|  | bool | testall = true,
|  | BufferString * | localaddr = nullptr,
|  | int * | prefixlength = nullptr ) const

## ◆ localHost()

const HostData * HostDataList::localHost | ( |  | ) | const

## ◆ loginCmd()

const char * HostDataList::loginCmd | ( |  | ) | const

## ◆ niceLevel()

int HostDataList::niceLevel | ( |  | ) | const

## ◆ prefixLength()

int HostDataList::prefixLength | ( |  | ) | const

## ◆ readHostFile()

bool HostDataList::readHostFile | ( | const char * |  | ) |
| protected

## ◆ readOldHostFile()

bool HostDataList::readOldHostFile | ( | const char * |  | ) |
| protected

## ◆ refresh()

bool HostDataList::refresh | ( | bool | foredit = false | ) |

## ◆ setFirstPort()

void HostDataList::setFirstPort | ( | PortNr_Type |  | ) |

## ◆ setLoginCmd()

void HostDataList::setLoginCmd | ( | const char * |  | ) |

## ◆ setNiceLevel()

void HostDataList::setNiceLevel | ( | int |  | ) |

## ◆ setPrefixLength()

void HostDataList::setPrefixLength | ( | int |  | ) |

## ◆ setUnixDataRoot()

void HostDataList::setUnixDataRoot | ( | const char * |  | ) |

## ◆ setWinDataRoot()

void HostDataList::setWinDataRoot | ( | const char * |  | ) |

## ◆ unixDataRoot()

const char * HostDataList::unixDataRoot | ( |  | ) | const

## ◆ winDataRoot()

const char * HostDataList::winDataRoot | ( |  | ) | const

## ◆ writeHostFile()

bool HostDataList::writeHostFile | ( | const char * | fnm | ) |

## Member Data Documentation

## ◆ batchhostsfnm_

BufferString HostDataList::batchhostsfnm_
| protected

## ◆ firstport_

PortNr_Type HostDataList::firstport_ = 37500
| protected

## ◆ logincmd_

BufferString HostDataList::logincmd_ = "ssh"
| protected

## ◆ nicelvl_

int HostDataList::nicelvl_ = 19
| protected

## ◆ prefixlength_

int HostDataList::prefixlength_
| mutable protected

## ◆ unx_appl_pr_

BufferString HostDataList::unx_appl_pr_
| protected

## ◆ unx_data_pr_

BufferString HostDataList::unx_data_pr_
| protected

## ◆ win_appl_pr_

BufferString HostDataList::win_appl_pr_
| protected

## ◆ win_data_pr_

BufferString HostDataList::win_data_pr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025